Get all exceptions

get

/fscmRestApi/resources/11.13.18.05/configureExceptions

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds the exception according to the value that identifies the exception.
      Finder Variables
      • ExceptionId; integer; Value that represents the exception.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • BaseMeasureDataType; integer; Data type of the base measure of the measure-based exception.
    • BaseMeasureDescription; string; Description of the base measure of the measure-based exception.
    • BaseMeasureGranularityId; integer; Value of the granularity of base measure associated with the measure-based exception.
    • BaseMeasureName; string; Name of the base measure associated with the measure-based exception.
    • BasisType; string; Value of the basis of the exception. Value can be an order or a measure.
    • BasisTypeCode; integer; Basis type code of the exception.
    • BasisValue; integer; Value of the basis of the exception. Value can be an order or a measure.
    • ClusterDimensionEnabled; integer; An indicator that cluster dimension is enabled in the measure-based exception.
    • ClusterHierarchy; integer; Name of the cluster hierarchy for the cluster dimension in the measure-based exception.
    • ClusterLevel; integer; Name of the level for the cluster hierarchy of the cluster dimension in the measure-based exception.
    • CreatedBy; string; Name of the user who created the exception.
    • CreationDate; string; Date when the exception was created.
    • CustomerDimensionEnabled; integer; An indicator that the customer dimension is enabled in the measure-based exception.
    • CustomerHierarchy; integer; Name of the customer hierarchy for the customer dimension in the measure-based exception.
    • CustomerLevel; integer; Name of the level for the customer hierarchy of the customer dimension in the measure-based exception.
    • DemandClassDimensionEnabled; integer; An indicator that the demand class dimension is enabled in the measure-based exception.
    • DemandClassHierarchy; integer; Name of the demand class hierarchy for the demand class dimension in the measure-based exception.
    • DemandClassLevel; integer; Name of the level for the demand class hierarchy of the demand class dimension in the measure-based exception.
    • EndDemandOrderTypeDimensionEnabled; integer; An indicator that the end demand order type dimension is enabled in the measure-based exception.
    • EndDemandOrderTypeHierarchy; integer; Name of the end demand order type hierarchy for the end demand order type dimension in the measure-based exception.
    • EndDemandOrderTypeLevel; integer; Name of the level for the end demand order type hierarchy of the end demand order type dimension in the measure-based exception.
    • EndDemandOrganizationDimensionEnabled; integer; An indicator that the end demand organization dimension is enabled in the measure-based exception.
    • EndDemandOrganizationHierarchy; integer; Name of the end demand organization hierarchy for the end demand organization dimension in the measure-based exception.
    • EndDemandOrganizationLevel; integer; Name of the level for the end demand organization hierarchy of the end demand organization dimension in the measure-based exception.
    • EndDemandProductDimensionEnabled; integer; An indicator that the end demand product dimension is enabled in the measure-based exception.
    • EndDemandProductHierarchy; integer; Name of the end demand product hierarchy for the end demand product dimension in the measure-based exception.
    • EndDemandProductLevel; integer; Name of the level for the end demand product hierarchy of the end demand product dimension in the measure-based exception.
    • ExceptionDimensionEnabled; integer; An indicator that the exception dimension is enabled in the measure-based exception.
    • ExceptionDisplayName; string; Display name of the exception.
    • ExceptionHierarchy; integer; Name of the exception hierarchy for the exception dimension in the measure-based exception.
    • ExceptionId; integer; Value that uniquely identifies the exception.
    • ExceptionLevel; integer; Name of the level for the exception hierarchy of the exception dimension in the measure-based exception.
    • ExceptionName; string; Name of the exception.
    • ExceptionOperation; string; Operation for configuring the threshold of an exception.
    • IncludeDependentMeasures; integer; Indicates to include dependent measures in the exception configuration.
    • LastUpdateDate; string; Date when the user most recently updated the exception.
    • LastUpdatedBy; string; The user who performed the most recent update on the exception.
    • NotesCount; number; Number of notes associated with this exception.
    • ObjectVersionNumber; integer; Object version number of the exception.
    • OrderTypeDimensionEnabled; integer; An indicator that the order type dimension is enabled in the measure-based exception.
    • OrderTypeHierarchy; integer; Name of the order type hierarchy for the order type dimension in the measure-based exception.
    • OrderTypeLevel; integer; Name of the level for the order type hierarchy of the order type dimension in the measure-based exception.
    • OrganizationDimensionEnabled; integer; An indicator that the organization dimension is enabled in the measure-based exception.
    • OrganizationHierarchy; integer; Name of the organization hierarchy for the organization dimension in the measure-based exception.
    • OrganizationLevel; integer; Name of the level for the organization hierarchy of the organization dimension in the measure-based exception.
    • PlanDimensionEnabled; integer; An indicator that the plan dimension is enabled in the measure-based exception.
    • PlanHierarchy; integer; Name of the plan hierarchy for the plan dimension in the measure-based exception.
    • PlanLevel; integer; Name of the level for the plan hierarchy of the plan dimension in the measure-based exception.
    • PlanType; integer; Type of the plan associated with the exception.
    • ProductDimensionEnabled; integer; An indicator that product dimension is enabled in the measure-based exception.
    • ProductHierarchy; integer; Name of the product hierarchy for the product dimension in the measure-based exception.
    • ProductLevel; integer; Name of the level for the product hierarchy of the product dimension in the measure-based exception.
    • ResourceDimensionEnabled; integer; An indicator that the resource dimension is enabled in the measure-based exception.
    • ResourceHierarchy; integer; Name of the resource hierarchy for the resource dimension in the measure-based exception.
    • ResourceLevel; integer; Name of the level for the resource hierarchy of the resource dimension in the measure-based exception.
    • SalesOrganizationDimensionEnabled; integer; An indicator that the sales organization dimension is enabled in the measure-based exception.
    • SalesOrganizationHierarchy; integer; Name of the sales organization hierarchy for the sales organization dimension in the measure-based exception.
    • SalesOrganizationLevel; integer; Name of the level for the sales organization hierarchy of the sales organization dimension in the measure-based exception.
    • ScenarioDimensionEnabled; integer; An indicator that scenario dimension is enabled in the measure-based exception.
    • ScenarioHierarchy; integer; Name of the scenario hierarchy for the scenario dimension in the measure-based exception.
    • ScenarioLevel; integer; Name of the level for the scenario hierarchy of the scenario dimension in the measure-based exception.
    • SeededExceptionFlag; boolean; Indicates an exception is seeded.
    • SendNotification; integer; Indicator to enable notification for a measure-based exception.
    • SourceDimensionEnabled; integer; An indicator that the source dimension is enabled in the measure-based exception.
    • SourceHierarchy; integer; Name of the source hierarchy for the source dimension in the measure-based exception.
    • SourceLevel; integer; Name of the level for the source hierarchy of the source dimension in the measure-based exception.
    • SupplierDimensionEnabled; integer; An indicator that supplier dimension is enabled in the measure-based exception.
    • SupplierHierarchy; integer; Name of the supplier hierarchy for the supplier dimension in the measure-based exception.
    • SupplierLevel; integer; Name of the level for the supplier hierarchy of the supplier dimension in the measure-based exception.
    • Threshold; number; Value of the threshold for the exception.
    • ThresholdDate; string; Date of the threshold for the exception.
    • ThresholdMeasureId; integer; Value that uniquely identifies the threshold measure for the exception.
    • ThresholdMeasureName; string; Name of the threshold measure for the exception.
    • ThresholdType; integer; Type of the threshold for the exception.
    • TimeDimensionEnabled; integer; An indicator that the time dimension is enabled in the measure-based exception.
    • TimeHierarchy; integer; Name of the time hierarchy for the time dimension in the measure-based exception.
    • TimeLevel; integer; Name of the level for the time hierarchy of the time dimension in the measure-based exception.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : configureExceptions
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : configureExceptions-item-response
Type: object
Show Source
Nested Schema : Exception Groups
Type: array
Title: Exception Groups
Exception Groups
Show Source
Nested Schema : Notifications
Type: array
Title: Notifications
Notifications
Show Source
Nested Schema : configureExceptions-ExceptionGroups-item-response
Type: object
Show Source
Nested Schema : configureExceptions-Notifications-item-response
Type: object
Show Source
Nested Schema : Notification Details
Type: array
Title: Notification Details
Notification Details
Show Source
Nested Schema : configureExceptions-Notifications-NotificationDetails-item-response
Type: object
Show Source
Back to Top